## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate simplelog

Name:           rust-simplelog
Version:        0.12.1
Release:        %autorelease
Summary:        Simple and easy-to-use logging facility for Rust's log crate

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/simplelog
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * normalize dependencies to not be stricter than semver-compatibility
Patch:          simplelog-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
A simple and easy-to-use logging facility for Rust's log crate.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE.APACHE2
%license %{crate_instdir}/LICENSE.MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+ansi_term-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ansi_term-devel %{_description}

This package contains library source intended for building other packages which
use the "ansi_term" feature of the "%{crate}" crate.

%files       -n %{name}+ansi_term-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+local-offset-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+local-offset-devel %{_description}

This package contains library source intended for building other packages which
use the "local-offset" feature of the "%{crate}" crate.

%files       -n %{name}+local-offset-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+paris-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+paris-devel %{_description}

This package contains library source intended for building other packages which
use the "paris" feature of the "%{crate}" crate.

%files       -n %{name}+paris-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+termcolor-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+termcolor-devel %{_description}

This package contains library source intended for building other packages which
use the "termcolor" feature of the "%{crate}" crate.

%files       -n %{name}+termcolor-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+test-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+test-devel %{_description}

This package contains library source intended for building other packages which
use the "test" feature of the "%{crate}" crate.

%files       -n %{name}+test-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jul 18 2023 Fabio Valentini <decathorpe@gmail.com> - 0.12.1-1
- Update to version 0.12.1; Fixes RHBZ#2076579

* Mon Jan 30 2023 Fabio Valentini <decathorpe@gmail.com> - 0.11.2-4
- Normalize dependencies to not be stricter than semver-compatibility

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sun Feb 20 2022 Igor Raits <igor.raits@gmail.com> - 0.11.2-1
- Update to 0.11.2

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Sep 30 2021 Fabio Valentini <decathorpe@gmail.com> - 0.10.2-1
- Update to version 0.10.2; Fixes RHBZ#2006967

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Jun 24 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.10.0-1
- Update to version 0.10.0.
- Fixes RHBZ#1943820

* Sun Mar 21 15:40:41 CET 2021 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.9.0-1
- Update to 0.9.0

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu May 28 16:16:51 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.8.0-1
- Update to 0.8.0

* Wed Apr 29 2020 Josh Stone <jistone@redhat.com> - 0.7.6-1
- Update to 0.7.6

* Sun Mar 29 09:51:06 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.7.5-1
- Update to 0.7.5

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Nov 23 2019 Josh Stone <jistone@redhat.com> - 0.7.4-1
- Update to 0.7.4

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Nov 10 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0.5.3-2
- Adapt to new packaging

* Wed Oct 10 2018 Josh Stone <jistone@redhat.com> - 0.5.3-1
- Update to 0.5.3

* Tue Sep 11 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.5.2-1
- Initial package

